import type { Option, OptionValue, Filter } from './interface';
interface UseTransferDataProps {
    defaultValue: OptionValue[] | null;
    value?: OptionValue[] | null;
    options: Option[];
    filterable: boolean;
    filter: Filter;
}
export declare function useTransferData(props: UseTransferDataProps): {
    uncontrolledValueRef: import("vue").Ref<OptionValue[] | null>;
    mergedValueRef: import("vue").ComputedRef<OptionValue[] | null>;
    targetValueSetRef: import("vue").ComputedRef<Set<OptionValue>>;
    valueSetForSelectAllRef: import("vue").ComputedRef<Set<string | number>>;
    valueSetForUnselectAllRef: import("vue").ComputedRef<Set<string | number>>;
    targetOptionsRef: import("vue").ComputedRef<Option[]>;
    filteredSrcOptionsRef: import("vue").ComputedRef<Option[]>;
    canNotSelectAnythingRef: import("vue").ComputedRef<boolean>;
    canBeClearedRef: import("vue").ComputedRef<boolean>;
    allCheckedRef: import("vue").ComputedRef<boolean>;
    srcPatternRef: import("vue").Ref<string>;
    handleSrcFilterUpdateValue: (value: string | null) => void;
};
export {};
